package com.bpcl.lpg.core.payment.billdesk;

import com.bpcl.lpg.facades.data.LpgPaymentQueryData;
import com.bpcl.lpg.core.enums.LpgPaymentStatusEnum;
import com.bpcl.lpg.core.enums.RefillBookingStatusEnum;
import java.util.List;
import com.bpcl.facades.payment.refill.RefillBookingData;
import com.bpcl.lpg.core.model.LpgPaymentInfoModel;
import com.bpcl.core.custom.exception.BpclInvalidPaymentResponseException;
import com.bpcl.lpg.core.pojo.BillDeskResponseMsgData;

public interface LPGPaymentService
{
    boolean isAuthorizedResponse(final String p0);
    
    void updatePaymentDetails(final BillDeskResponseMsgData p0) throws BpclInvalidPaymentResponseException;
    
    String getTransactionId();
    
    LpgPaymentInfoModel getTransactionId(final String p0) throws BpclInvalidPaymentResponseException;
    
    LpgPaymentInfoModel getLpgPaymentInfoByTxnID(final String p0) throws BpclInvalidPaymentResponseException;
    
    void updateRefillStatusByTxnID(final String p0, final RefillBookingData p1) throws BpclInvalidPaymentResponseException;
    
    void updateRefundDataToPaymentInfo(final BillDeskResponseMsgData p0, final LpgPaymentInfoModel p1) throws BpclInvalidPaymentResponseException;
    
    List<LpgPaymentInfoModel> getTransactionHistory(final int p0);
    
    void updateRefillStatus(final String p0, final RefillBookingStatusEnum p1) throws BpclInvalidPaymentResponseException;
    
    List<LpgPaymentInfoModel> getTxnByStatus(final String p0, final String p1);
    
    void updateTxnStatus(final String p0, final LpgPaymentStatusEnum p1) throws BpclInvalidPaymentResponseException;
    
    void initiateTransaction(final String p0) throws BpclInvalidPaymentResponseException;
    
    void updateTxnIsRefunded(final String p0, final Boolean p1) throws BpclInvalidPaymentResponseException;
    
    List<LpgPaymentInfoModel> hasRefillInProgress(final int p0);
    
    void updatePaymentDetailsForRecon(final BillDeskResponseMsgData p0, final LpgPaymentInfoModel p1) throws BpclInvalidPaymentResponseException;
    
    void updateTransactionAmount(final LpgPaymentQueryData p0, final LpgPaymentInfoModel p1);
}
